#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

import sys

from pelican_theme_teckids.pelicanconf import *

SITENAME = "Teckids e.V."

GITWEB_BASE = "https://edugit.org/Teckids/team-pr/teckids.org/-/tree/master"

PLUGINS += ["webring"]
WEBRING_FEED_URLS = [
    "https://hacknfun.camp/feeds/de.atom.xml",
    "https://schul-frei.dev/feeds/de.atom.xml",
    "https://leopard.institute/feeds/de.atom.xml",
]
WEBRING_MAX_ARTICLES = sys.maxsize
WEBRING_ARTICLES_PER_FEED = sys.maxsize
WEBRING_SUMMARY_WORDS = 0

# Navbar
MENUITEMS += [
    ("Verein", "pages/verein.html"),
    ("Mitmachen", "pages/mitmachen.html"),
    ("Spenden", "pages/spenden.html"),
    ]

FOOTERMENU += [
    ("Spenden", "/pages/spenden.html"),
    ("Kontakt", "/pages/kontakt.html"),
    ("Newsletter", "/pages/newsletter.html"),
    ("Nutzungsbedingungen und Datenschutz", "/pages/nutzungsbedingungen_datenschutz.html"),
    ("AGB für Freizeiten", "/pages/agb_freizeiten.html"),
]

I18N_SUBSITES = {
    "en": {
        "MENUITEMS": [
            ("Home", "index.html"),
            ("Media and Pedagogy", [
                ("Educational Concept", "pages/paedagogisches_leitbild.html"),
                ("Handouts", "pages/handreichung.html"),
            ]),
            ("Contribution", [
                ("Goals", "pages/ziele.html"),
                ("Involving young people", "pages/partizipation.html"),
                ("Membership", "pages/mitgliedschaft.html"),
                ("Donate", "pages/spenden.html"),
            ]),
        ],
        "FOOTERMENU": [
            ("Donate", "pages/spenden.html"),
            ("Contact", "pages/kontakt.html"),
            ("Newsletter", "pages/newsletter.html"),
            ("Terms of use and privacy", "pages/nutzungsbedingungen_datenschutz.html"),
            ("Terms and conditions for activities", "pages/agb_freizeiten.html"),
            ("Imprint", "pages/impressum.html"),
        ]
    }
}

PRIMARY_DARK = "#FF6600"
PRIMARY_LIGHT = "#FFFFFF"
SECONDARY_DARK = "#015ebe"
SECONDARY_LIGHT = "#00c5fa"
